# tbb::flow::interface6::graph_node Class Reference

The base of all graph nodes. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::graph_node:

List of all members.

## Public Member Functions
| graph_node (graph &g)
## Protected Member Functions
virtual void | reset ()=0
## Protected Attributes
graph & | my_graph
graph_node * | next
graph_node * | prev
## Friends
class | graph
class | graph_iterator

## Detailed Description

The base of all graph nodes.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.